%global debug_package %{nil}

Name:           guile-email
Version:        0.2.2
Release:        1%{?dist}
Summary:        A collection of email utilities implemented in pure Guile

License:        AGPLv3
URL:            https://guile-email.systemreboot.net/
Source0:        https://guile-email.systemreboot.net/releases/guile-email-0.2.2.tar.lz

BuildRequires:  /usr/bin/lzip
BuildRequires:  guile22-devel
Requires:       guile22

%description
guile-email is a collection of email utilities implemented in pure guile. It
supports parsing MIME (Multipurpose Internet Mail Extensions) compliant email
messages and reading emails from the mbox format.


%prep
%autosetup


%build
%configure
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%make_install
rm -f $RPM_BUILD_ROOT%{_datadir}/info/dir


%files
%license COPYING
%doc NEWS README.org
%{_libdir}/guile/2.2/site-ccache/email
%{_datadir}/guile/site/2.2/email
%{_datadir}/info/guile-email.info.gz
